## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# NodeSorter::VectorEntry Struct Reference

Collaboration diagram for NodeSorter::VectorEntry:

[legend]
List of all members.

## Public Member Functions

- VectorEntry (XalanNode *theNode=0, unsigned int thePosition=0)

## Public Attributes

- XalanNode * m_node
- unsigned int m_position

## Constructor & Destructor Documentation

NodeSorter::VectorEntry::VectorEntry | ( | XalanNode * | theNode = 0,
|  | unsigned int | thePosition = 0
| ) |

## Member Data Documentation

XalanNode* NodeSorter::VectorEntry::m_node

unsigned int NodeSorter::VectorEntry::m_position

The documentation for this struct was generated from the following file:

- NodeSorter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.